# topology

本节点将返回经过报警规则过滤后的目标节点状态,SmartPing Dashbord使用此数据来绘制拓扑

## 接口方法

GET

## 接口地址

/api/topology.json

## 接口入参

无

## 接口数据

```
{
    "1.2.3.4": "false",
    "114.114.114.114": "true",
    "123.125.114.144": "true",
    "69.171.229.28": "false",
    "8.8.4.4": "false"
}
```

目标节点IP->状态(treu,false)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.smartping.org/api/topology.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
